package cn.datax.service.data.visual.service;

import cn.datax.service.data.visual.api.dto.SqlParseDto;
import cn.datax.service.data.visual.api.entity.VisualDataSetEntity;
import cn.datax.service.data.visual.api.dto.VisualDataSetDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 数据集信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-07-31
 */
public interface VisualDataSetService extends BaseService<VisualDataSetEntity> {

    VisualDataSetEntity saveVisualDataSet(VisualDataSetDto visualDataSet);

    VisualDataSetEntity updateVisualDataSet(VisualDataSetDto visualDataSet);

    VisualDataSetEntity getVisualDataSetById(String id);

    void deleteVisualDataSetById(String id);

    void deleteVisualDataSetBatch(List<String> ids);

    List<String> sqlAnalyse(SqlParseDto sqlParseDto);
}
